Bug 803349 - allocate extra space for node names
allocate extra space for node names
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: audit (Show other bugs)
6.2
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Steve Grubb
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 09:54 EDT by Ondrej Moriš
Modified: 2012-11-05 10:44 EST (History)
1 user (show)

See Also:
Fixed In Version: audit-2.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 10:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Moriš 2012-03-14 09:54:56 EDT
Description of problem:

When a node name is a part of audit message and its length is bigger than usually (~80 characters) then auparse fails to parse the rest of message. This can lead even to 'hidden' audit events.

Version-Release number of selected component (if applicable):

audit-2.1.3-3.el6

How reproducible:

100%

Steps to Reproduce:

# cat >log<<-EOF
node=1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890 type=DAEMON_ACCEPT msg=audit(1320238076.308:8675): addr=10.16.66.107:52363 port=52363 res=success
EOF

# ausearch -if log
  
Actual results:

<no matches>

Expected results:

----
time->Wed Dec 31 22:40:02 1969
node=1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890 type=DAEMON_ACCEPT msg=audit(1320238076.308:8675): addr=10.16.66.107:52363 port=52363 res=success

Additional info:

This problem has been originally reported as [1] and immediately resolved with [2] raising node name limit from ~80 to ~340 characters.

[1] https://www.redhat.com/archives/linux-audit/2012-March/msg00005.html
[2] https://fedorahosted.org/audit/changeset/671
Comment 2 Steve Grubb 2012-03-14 16:36:26 EDT
audit-2.2-2.el6 was built to fix this issue.
Comment 5 errata-xmlrpc 2012-06-20 10:29:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0929.html

Note You need to log in before you can comment on or make changes to this bug.